Bug 3958 - /etc/nsswitch.conf broken for "services"
Summary: /etc/nsswitch.conf broken for "services"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-09 04:46 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-02 22:12:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wingc 1999-07-09 04:46:23 UTC
The default configuration for "services" in
/etc/nsswitch.conf is:

services:   nisplus [NOTFOUND=return] files

Obviously, this breaks any program that wants to use
getservbyname() if you are not running NIS.

Kerberos 4 in particular generates annoying error messages
with this configuration.

You should ship /etc/nsswitch.conf with the following
default, or something similar:

services:   files


Thanks,

Chris Wing
wingc@engin.umich.edu

Comment 1 Cristian Gafton 1999-08-02 22:12:59 UTC
Foxed in glibc-2.1.2-3 and later, in rawhide shortly


Note You need to log in before you can comment on or make changes to this bug.